Subject: emacs -nw garbles display badly on trunk

From: Paul Eggert <[email-masked]>
Date: Sat, 09 Aug 2014 11:45:29 -0700

dhruva's emacs-devel email:

http://lists.gnu.org/archive/html/emacs-devel/2014-08/msg00172.html

prompts me to report that I've been noticing similar problems on the 
trunk for some weeks.  The terminal window gets glitched up pretty 
badly, making emacs -nw unusable except for brief sessions. 
Unfortunately I don't have a simple recipe for reproducing it.  The 
recipe that dhruva gives here:

http://lists.gnu.org/archive/html/emacs-devel/2014-08/msg00175.html

does not reproduce the problem for me.

I do observe that once the glitches start to happen, they seem occur 
even if I exit Emacs and start up Emacs 24.3 (which normally does not 
have the problem), leading me to suspect that the problem has something 
to do with terminal modes.

One combination that illustrates the problem is gnome-terminal 3.6.2 
(Ubuntu 14.04 x86-64) connected via ssh to Fedora 20 x86-64 that is 
running Emacs trunk.